Home | All Classes | Grouped Classes | Index | Search

# Class CL_OutputSource_Socket

Output Source Socket Class. More...

Derived from: CL_OutputSource
Derived by: none
Group: Network (Sockets)

#include <ClanLib/network.h>

Construction:

CL_OutputSource_Socket | Output Source Socket Constructor

Attributes:

tell | Returns current position in output source.
size | Returns the size of the output source

Operations:

write | Writes larger amounts of data (no endian and 64 bit conversion).
open | Opens the output source. By default, it is open.
close | Closes the output source.
clone | Make a copy of the current outputsource, standing at the same position.

Detailed description:

!group=Network/Sockets! !header=network.h!
Questions or comments, write to the ClanLib mailing list.